{ pkgs, ... }:

{
  imports = [
    ./locale.nix
    ./networking.nix
    ./ntp.nix
    ./users.nix
    ./home.nix
    ./sops.nix
  ];

  services.qemuGuest.enable = true;
  boot.kernelParams = [ "console=ttyS0,115200" ];

  services.openssh = {
    enable = true;
  };

  # Enable some utility programs.
  programs.neovim.enable = true;
  programs.git.enable = true;

  environment.systemPackages = with pkgs; [
    shelldap
  ];
}
